@charset "UTF-8";

.grid-image-links,
.grid-image-links .el {
    list-style: none;
    margin: 0;
    padding: 0;
}

.grid-image-links .el:before {
    display: none;
}

.grid-image-links {
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap-inner);
    container-type: inline-size;
    container-name: grid-image-links;
    flex: 1 0 auto;
    width: 100%;
}

.grid-image-links:not(:first-child) {
    margin-top: var(--gap-blocks);
}

.grid-image-links:not(:last-child) {
    margin-bottom: var(--gap-blocks);
}

.grid-image-links .el {
    flex: 0 0 auto;
    width: 100%;
    display: flex;
    flex-direction: column;
}

@container grid-image-links (min-width: 730px) {
    .grid-image-links .el:not(:only-child) {
        width: calc((100% - var(--gap-inner)) / 2);
    }

    .grid-image-links .el:nth-child(odd):last-child {
        width: 100%;
    }
}

@container grid-image-links (min-width: 1100px) {
    .grid-image-links .el:not(:only-child) {
        width: calc((100% - var(--gap-inner) * 2) / 3) !important;
    }

    .grid-image-links:has(.el:nth-child(2):last-child) .el,
    .grid-image-links:has(.el:nth-child(4):last-child) .el {
        width: calc((100% - var(--gap-inner)) / 2) !important;
    }
}

.grid-image-links .el>* {
    flex: 1 0 auto;
    width: 100%;
}

.image-link {
    display: flex;
    flex-direction: column;
    text-decoration: none;
    color: var(--white);
    text-align: left;
    font: 500 20px/1.3 var(--font);
    background: var(--color3);
    border-radius: var(--radius);
    justify-content: space-between;
    transition-property: color, background, border;
    transition-duration: 0.4s;
    transition-timing-function: ease;
    user-select: none;
    backface-visibility: hidden;
    overflow: hidden;
    transform: translateZ(0);
    position: relative;
}

.image-link.view1:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.7) 77%);
}

.image-link .txt {
    flex: 0 0 auto;
    width: 100%;
    padding: 16px 22px;
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 16px;
}

@container grid-image-links (min-width: 400px) {
    .image-link .txt {
        padding: 24px 32px;
    }
}

.image-link.view1 .txt {
    margin-top: auto;
}

.image-link.view1 .img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.image-link.view2 .img {
    flex: 1 0 auto;
    width: 100%;
    position: relative;
    min-height: 100px;
}

.image-link .img img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.image-link .mini-btn {
    border-color: var(--white);
}

@media only screen and (min-width: 1200px) {
    .grid-col3 .grid-image-links {
        flex-direction: column;
    }

    .grid-col3 .grid-image-links .el {
        flex: 1 0 auto;
    }

    .grid-col3 .grid-image-links:has(.el:nth-child(3)) {
        display: grid;
        grid-template-columns: 100%;
        grid-auto-rows: 1fr;
    }

    .grid-col3 .grid-image-links:not(:has(>.el:nth-child(3)))>.el:nth-child(2) {
        flex: 0 0 auto;
        min-height: calc((100% - var(--gap-inner)*2)/3);
    }
}